local class = require("core.class")
local monitor = require("core.monitor")
local runlistlib = require("core.runlist")
local thunk = require("core.thunk")
local level_run_list = runlistlib.RunList.New()
thunk.Install("OnUpdate", function(lvl)
  level_run_list:Update()
end)
local LevelMonitor = class.Class("LevelMonitor", monitor.Monitor)
function LevelMonitor:manual_init(parent_ctor, PARENT, ...)
  parent_ctor(self, PARENT, level_run_list, ...)
end
return {LevelMonitor = LevelMonitor}
